Pilot Features API Code Samples

Selection of code samples that demonstrate the use of the Pilot Features API. Copy and edit these code samples to suit your needs.

When using the code samples, remember to replace:

  • {vanity_name} with your tenant name
  • {api_key} with your API key
  • {security_token} with a valid security token

These code samples may not include all available parameters and request body fields for each endpoint. For the endpoint's full request schema, see "Pilot Features" in API Reference.

Retrieve pilot features

Use this sample request to retrieve a list of available pilot features for your tenant, along with their configurations.

Copy
cURL sample request: Retrieve a list of available pilot features
curl -X GET --url 'https://{vanity_name}.api.visier.io/v1alpha/admin/pilot-features/features' \
-H 'apikey:{api_key}' \
-H 'Cookie:VisierASIDToken={security_token}'

The response returns the available pilot features for your tenant and their configurations.

Retrieve tenant-level pilot feature configurations

Use this sample request to retrieve the configurations of each pilot feature available to your tenant.

Copy
cURL sample request: Retrieve tenant-level pilot feature configurations
curl -X GET --url 'https://{vanity_name}.api.visier.io/v1alpha/admin/pilot-features/tenant-config' \
-H 'apikey:{api_key}' \
-H 'Cookie:VisierASIDToken={security_token}'

The response returns the configurations of each pilot feature available to your tenant.

Partially update tenant-level pilot feature configurations

Use this sample request to partially update configurations to enable or disable pilot features across your tenant.

Copy
cURL sample request: Partially update tenant-level pilot feature configurations
curl -X PATCH --url 'https://{vanity_name}.api.visier.io/v1alpha/admin/pilot-features/tenant-config' \
-H 'apikey:{api_key}' \
-H 'Cookie:VisierASIDToken={security_token}' \
-H 'Content-Type: application/json' \
-d '{
  "pilotFeatureConfigs": [
    {
      "featureKey": "visier.preview.studioGlobalWorkspaceNav",
      "tenantLevelEnabled": true
    }
  ]
}'

The response returns whether the request was successful.

Retrieve user-level pilot feature configurations

Use this sample request to retrieve your user-level pilot feature configurations and determine whether you have access to the pilot feature in the tenant.

Copy
cURL sample request: Retrieve user-level pilot feature configurations
curl -X GET --url 'https://{vanity_name}.api.visier.io/v1alpha/admin/pilot-features/user-preferences' \
-H 'apikey:{api_key}' \
-H 'Cookie:VisierASIDToken={security_token}'

The response returns the configurations of each pilot feature available to your tenant.

Partially update user-level pilot feature configurations

Use this sample request to partially update your user-level pilot feature configurations to enable or disable your access to the pilot feature in the tenant.

Copy
cURL sample request: Partially update tenant-level pilot feature configurations
curl -X PATCH --url 'https://{vanity_name}.api.visier.io/v1alpha/admin/pilot-features/user-preferences' \
-H 'apikey:{api_key}' \
-H 'Cookie:VisierASIDToken={security_token}' \
-H 'Content-Type: application/json' \
-d '{
  "pilotFeatureConfigs": [
    {
      "featureKey": "visier.preview.usersImprovedView",
      "userLevelEnabled": true
    }
  ]
}'

The response returns whether the request was successful.